﻿using ThinkGeo.Core;

namespace CheckThinkGeoProjection
{
    internal class CheckOverLasVegas : CheckOverProjection
    {
        protected override string TargetPROJ => "+proj=tmerc +lat_0=36.25 +lon_0=-114.966666666667 +k=1.0001 +x_0=100000 +y_0=200000 +datum=NAD83 +units=m +no_defs";

        protected override int TargetEPSGCode => 8379;

        //Point in LasVegas - Best-Buy
        protected override PointShape PointInWGS => new PointShape(-115.1356839, 36.1197602);

        //Get it from EPSG.io
        protected override PointShape ExpectedProjectedPoint => new PointShape(84782.72945813586, 185559.7947900248);
    }
}
