﻿using ThinkGeo.Core;

namespace CheckThinkGeoProjection
{
    internal class CheckOverBNG : CheckOverProjection
    {
        protected override string TargetPROJ => "+proj=tmerc +lat_0=49 +lon_0=-2 +k=0.9996012717 +x_0=400000 +y_0=-100000 +ellps=airy +units=m +no_defs";

        protected override int TargetEPSGCode => 27700;

        //Point in United Kingdom - Guildford (GLive)
        protected override PointShape PointInWGS => new PointShape(-0.5658779, 51.2382998);

        //Get it from EPSG.io
        protected override PointShape ExpectedProjectedPoint => new PointShape(500211.15180555126, 149768.161870003);
    }
}
